%global drupaldir %{_datadir}/drupal6
Name:      drupal6-filefield
Version:   3.9
Release:   1%{?dist}
Summary:   Provides a universal file upload field for CCK

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/filefield
Source0:   http://ftp.drupal.org/files/projects/filefield-6.x-%{version}.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, drupal6-cck, drupal6-mimedetect

%description
FileField provides a universal file upload field for CCK.
It is a robust alternative to core's Upload module
and an absolute must for users uploading a large number of files.
Great for managing video and audio files for podcasts on your own site.

Features:

Configurable upload paths allow you to save files
into per-field or per-user directories

Per-field and per-node file size limits

Extensive API for extending field widgets and managing files

Full revision/translation file management

Views support

Ajax Uploads (and progress bar support with the PECL uploadprogress extension)

Pretty Icons

All the goodness of CCK
(multiple output formats, shared fields, multiple values, and much more)

%prep
%setup -qn filefield
chmod -x filefield.module
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/filefield
cp -pr * %{buildroot}%{drupaldir}/modules/filefield

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt README.txt UPGRADE.txt
%dir %{drupaldir}/modules/filefield
%{drupaldir}/modules/filefield/filefield.*
%{drupaldir}/modules/filefield/field*
%{drupaldir}/modules/filefield/filefield-*
%{drupaldir}/modules/filefield/filefield_*.inc
%{drupaldir}/modules/filefield/filefield_meta
%{drupaldir}/modules/filefield/icons
%{drupaldir}/modules/filefield/tests
%{drupaldir}/modules/filefield/views

%dir %{drupaldir}/modules/filefield/translations
%{drupaldir}/modules/filefield/translations/*.pot

%lang(cs) %{drupaldir}/modules/filefield/translations/cs.po
%lang(da) %{drupaldir}/modules/filefield/translations/da.po
%lang(de) %{drupaldir}/modules/filefield/translations/de.po
%lang(fr-ca) %{drupaldir}/modules/filefield/translations/fr-ca.po
%lang(fr) %{drupaldir}/modules/filefield/translations/fr.po
%lang(hu) %{drupaldir}/modules/filefield/translations/hu.po
%lang(ja) %{drupaldir}/modules/filefield/translations/ja.po
%lang(nl) %{drupaldir}/modules/filefield/translations/nl.po
%lang(pt-br) %{drupaldir}/modules/filefield/translations/pt-br.po
%lang(sv) %{drupaldir}/modules/filefield/translations/sv.po
%lang(uk-ua) %{drupaldir}/modules/filefield/translations/uk-ua.po
%lang(uk) %{drupaldir}/modules/filefield/translations/uk.po
%exclude %{drupaldir}/modules/filefield/*.txt

%changelog
* Fri Jan 28 2011 Peter Borsa <peter.borsa@gmail.com> - 3.9-1
- New Upstream version.
- Version macro is added to Source0 line.
- Lang macro is added.

* Mon Jan 24 2011 Peter Borsa <peter.borsa@gmail.com> - 3.7-2
- Changed License to GPLv2+.
- Chmod and cp is copied under prep section.
- Fixed exclude lines.

* Thu Nov 22 2010 Peter Borsa <peter.borsa@gmail.com> - 3.7-1
- Initial packaging.
